Subject: Toolkraft Lathe

From: "Thomas M. Walsh" <[email-masked]>
Date: Mon, 31 Mar 1997 18:37:04 -0800

An uncle just gave me a Toolkraft bench lathe 36" o/c.  The
manufacturers plate says that the company was out of Chicopee
Massachusetts.  I can't find any address or phone numbers listed.  The
machine is heavy cast iron and my uncle estimates that it was
manufactured in the early 60's.

I will need parts to get it up and running and was wondering if anyone
in this newsgroup had information on the manufacturer or current owner
of the rights so I can locate parts, etc. or if anyone knows of
universal parts that would fit the unit or could be adapted.

This is one of those gifts that could be a blessing or a curse but I can
use the machine and it will let me go spend foolishly on parts and
accessories without incurring the wrath of the frau.

Thanks in advance.  You can either post answers or e-mail me directly.

Tom Walsh
[email-masked]